// simple 2x16 LCD routines for EasPIC v8 ONLY (also handles 4x20 LCD)
// Must use 32NHz Fosc - Must use on-board LCD connections - no other pin selections are possible
// This code is deliberately simple and inflexible in order to make it simple for new users to understand

// header file for EasyPICv8 LCD

// LCD connections
//
//  1  GND GND
//  2  VCC +5V
//  3   Vo contrast 3k3/1k voltage divider 5V
//  4   RS RA3
//  5  R/W GND
//  6    E RB1
//  7   D0 GND
//  8   D1 GND
//  9   D2 GND
// 10   D3 GND
// 11   D4 RB2
// 12   D5 RB3
// 13   D6 RB4
// 14   D7 RB5
// 15 LED+ A      Via SW6-3 BCKL from +5V
// 16 LED- K      Via SW6-4 PWM Driven by RC2


#ifndef EP8LCD_H
#define	EP8LCD_H

void lcd_init(void);                                                            // initialise EP8 2x16 LCD
void lcd_clear(void);
void lcd_pos(unsigned char row, unsigned char col);
void lcd_write(unsigned char lcd_byte);
void lcd_text(char *ltxt);
void lcd_cmd(unsigned char lcmd);

#endif	/* EP8LCD_H */

